OBIO(4)

NAME
obio - socppc onboard I/O bus device

SYNOPSIS
obio0 at mainbus?

DESCRIPTION
The obio interface serves as an abstraction used by the autoconfiguration system to help find and attach devices integrated on Freescale SoC processors.

obio provides support for the following devices:

com(4)
    serial communications interface
ehci(4)
    USB Enhanced Host Controller Interface
ipic(4)
    integrated programmable interrupt controller
sociic(4)
    socppc onboard I2C controller
socpcic(4)
    socppc onboard PCI controller
tsec(4)
    three-speed 10/100/Gigabit Ethernet device

SEE ALSO
intro(4), mainbus(4)

HISTORY
The obio driver first appeared in OpenBSD 4.4.